Core files can fill up /var/run/
Status: Resolved Start date: 06/21/2016

Priority: Normal Due date:  

Assignee: Jim Pingle % Done: 100%

Category: Operating System Estimated time: 0.00 hour

Target version: 2.3.2   

Plus Target Version:  Affected Version: All

Release Notes:  Affected

Architecture:

 

Description

In some cases, a process can crash and the resulting core file fills /var/run/ if that was the working directory for the process. We

should set kern.corefile=/root/%N.core to make all core files write to /root/ rather than random hard-to-find places all over the

filesystem.

To me, I have a working patch.

Associated revisions

Revision a08208f8 - 06/21/2016 03:23 PM - Jim Pingle

Set kern.corefile, fixes #6510

Revision 2e6a2bf5 - 06/21/2016 03:23 PM - Jim Pingle

Set kern.corefile, fixes #6510

Revision 4a304fbf - 06/21/2016 03:24 PM - Jim Pingle

Set kern.corefile, fixes #6510

History

#1 - 06/21/2016 10:30 AM - Jim Pingle

- Status changed from Assigned to Feedback

- % Done changed from 0 to 100

Applied in changeset a08208f81bcb2812bdda07e21b501447fb350408.

#2 - 06/21/2016 11:37 PM - Chris Buechler

- Status changed from Feedback to Resolved

- Target version changed from 2.3.2 to 2.3.1-p6

works

#3 - 07/08/2016 12:44 AM - Chris Buechler

- Target version changed from 2.3.1-p6 to 2.3.2
